import unittest, sys
import io
import unittest.mock

from tmc import points

from tmc.utils import load, get_out

main = load('src.main', 'fit_model')

class MainTest(unittest.TestCase):
   
    @points('3-3')
    def test_answer(self):
        input_string = '''
            25 2 50 1 500 127900
            39 3 10 1 1000 222100
            13 2 13 1 1000 143750
            82 5 20 2 120 268000
            130 6 10 2 600 460700
            115 6 10 1 550 407000
        '''

        input_file = io.StringIO(input_string)

        main(input_file)
        output = get_out()
        self.assertEqual(output,"[2989.6  800.6  -44.8 3890.8   99.8]\n[127907.6 222269.8 143604.5 268017.6 460686.6 406959.9]")
          
if __name__ == '__main__':
    unittest.main()
